Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81723 - module oprofile.o with undefined symbol "cpu_possible"
Summary: module oprofile.o with undefined symbol "cpu_possible"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-13 12:22 UTC by Need Real Name
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-21 11:28:43 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-01-13 12:22:35 UTC
Description of problem:
module oprofile.o with undefined symbol "cpu_possible" when building kernel with
CONFIG_SMP not defined.

Version-Release number of selected component (if applicable):
kernel-source-2.4.20-2.12

How reproducible:
Always.

Steps to Reproduce:
1. make config
2. Choose CONFIG_PROFILING=y, CONFIG_OPROFILE=m
3. Unmark CONFIG_SMP
4. make dep bzImage modules modules_install install
    
Actual results:
depmod: *** Unresolved symbols in
/lib/modules/2.4.20-2.12custom/kernel/arch/i386/oprofile/oprofile.o
depmod:         cpu_possible

Comment 1 Arjan van de Ven 2003-01-21 11:28:43 UTC
fixed in the current kernels available through rawhide and in the refreshed phoebe


Note You need to log in before you can comment on or make changes to this bug.